> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /invoices
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /invoices:
    get:
      summary: List Invoices
      operationId: invoices-list
      parameters:
        - name: link_token
          in: query
          description: >-
            The access token of the `Link` that holds the Invoices to list,
            returned when creating said `Link`.
          schema:
            type: string
            default: link_6n12zLmai3lLE9Dq_token_gvEJi8FrBge4fb3cz7Wp856W
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Invoices
            with date equal or after `since`.
          schema:
            type: string
            format: date
            default: '2021-01-01'
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Invoices
            with date before `until` (exclusive).
          schema:
            type: string
            format: date
            default: '2021-01-31'
        - name: updated_since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Invoices
            that have updated since `updated_since` (including it).
          schema:
            type: string
            format: date
            default: '2021-01-01T00:00:00.000Z'
        - name: issue_type
          in: query
          description: If present, return ony Invoices with the indicated issue type.
          schema:
            type: string
            enum:
              - issued
              - received
            default: issued
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: invoice_status
          in: query
          description: If present, return only Invoices with the indicated status.
          schema:
            type: string
            enum:
              - pending
              - registered
            default: registered
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [{
                        "id": "inv_nMNejK7BT8oGbvO4",
                        "object": "invoice",
                        "number": "135",
                        "institution_id": "cl_fiscal_sii",
                        "issuer": {
                            "id": "117056856",
                            "name": "Hooli SpA",
                            "institution_tax_payer": null
                        },
                        "receiver": null,
                        "issue_type": "received",
                        "date": "2021-06-25T04:00:00.000Z",
                        "total_amount": 12123,
                        "net_amount": 1231,
                        "currency": "CLP",
                        "institution_invoice": {
                            "received_at": "2021-06-25T19:27:04.000Z",
                            "accepted_at": null,
                            "confirmation_status": null,
                            "exempt_amount": 0,
                            "document_type": "34",
                            "total_documents": null,
                            "vat_amount": 123,
                            "fixed_assets_net_amount": null,
                            "fixed_assets_vat_amount": null,
                            "non_refundable_vat_amount": null,
                            "non_refundable_vat_code": null,
                            "non_credit_tax_amount": null,
                            "total_vat_withheld": 0,
                            "partial_vat_withheld": 0,
                            "non_withheld_vat": 0,
                            "own_vat": 0,
                            "third_party_vat": 0,
                            "common_use_vat": null,
                            "out_of_time_vat": 0,
                            "reference_type_code": "",
                            "reference_number": "",
                            "construction_company_credit": "",
                            "free_zone_tax": "",
                            "container_deposit_guarantee": "",
                            "domestic_ticket_sales": "",
                            "international_ticket_sales": "",
                            "receipt_reference_number": "",
                            "settlement_issuer_id": "",
                            "vat_commisions": 0,
                            "net_commissions": 0,
                            "exempt_commissions": 0,
                            "invoice_status": "registered",
                            "other_taxes": {
                                "total_amount": "",
                                "other_taxes_detail": [
                                    {
                                        "tax_code": 14,
                                        "tax_rate": "19",
                                        "tax_amount": 400
                                    }
                                ]
                            },
                            "tobacco_taxes": {
                                "cigars": 0,
                                "cigarettes": 0,
                                "processed_tobacco": 0
                            }
                        }
                    }]
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: inv_nMNejK7BT8oGbvO4
                    object:
                      type: string
                      example: invoice
                    number:
                      type: string
                      example: '135'
                    institution_id:
                      type: string
                      example: cl_fiscal_sii
                    issuer:
                      type: object
                      properties:
                        id:
                          type: string
                          example: '117056856'
                        name:
                          type: string
                          example: Hooli SpA
                        institution_tax_payer: {}
                    receiver: {}
                    issue_type:
                      type: string
                      example: received
                    date:
                      type: string
                      example: '2021-06-25T04:00:00.000Z'
                    total_amount:
                      type: integer
                      example: 12123
                      default: 0
                    net_amount:
                      type: integer
                      example: 1231
                      default: 0
                    currency:
                      type: string
                      example: CLP
                    institution_invoice:
                      type: object
                      properties:
                        received_at:
                          type: string
                          example: '2021-06-25T19:27:04.000Z'
                        accepted_at: {}
                        confirmation_status: {}
                        exempt_amount:
                          type: integer
                          example: 0
                          default: 0
                        document_type:
                          type: string
                          example: '34'
                        total_documents: {}
                        vat_amount:
                          type: integer
                          example: 123
                          default: 0
                        fixed_assets_net_amount: {}
                        fixed_assets_vat_amount: {}
                        non_refundable_vat_amount: {}
                        non_refundable_vat_code: {}
                        non_credit_tax_amount: {}
                        total_vat_withheld:
                          type: integer
                          example: 0
                          default: 0
                        partial_vat_withheld:
                          type: integer
                          example: 0
                          default: 0
                        non_withheld_vat:
                          type: integer
                          example: 0
                          default: 0
                        own_vat:
                          type: integer
                          example: 0
                          default: 0
                        third_party_vat:
                          type: integer
                          example: 0
                          default: 0
                        common_use_vat: {}
                        out_of_time_vat:
                          type: integer
                          example: 0
                          default: 0
                        reference_type_code:
                          type: string
                          example: ''
                        reference_number:
                          type: string
                          example: ''
                        construction_company_credit:
                          type: string
                          example: ''
                        free_zone_tax:
                          type: string
                          example: ''
                        container_deposit_guarantee:
                          type: string
                          example: ''
                        domestic_ticket_sales:
                          type: string
                          example: ''
                        international_ticket_sales:
                          type: string
                          example: ''
                        receipt_reference_number:
                          type: string
                          example: ''
                        settlement_issuer_id:
                          type: string
                          example: ''
                        vat_commisions:
                          type: integer
                          example: 0
                          default: 0
                        net_commissions:
                          type: integer
                          example: 0
                          default: 0
                        exempt_commissions:
                          type: integer
                          example: 0
                          default: 0
                        invoice_status:
                          type: string
                          example: registered
                        other_taxes:
                          type: object
                          properties:
                            total_amount:
                              type: string
                              example: ''
                            other_taxes_detail:
                              type: array
                              items:
                                type: object
                                properties:
                                  tax_code:
                                    type: integer
                                    example: 14
                                    default: 0
                                  tax_rate:
                                    type: string
                                    example: '19'
                                  tax_amount:
                                    type: integer
                                    example: 400
                                    default: 0
                        tobacco_taxes:
                          type: object
                          properties:
                            cigars:
                              type: integer
                              example: 0
                              default: 0
                            cigarettes:
                              type: integer
                              example: 0
                              default: 0
                            processed_tobacco:
                              type: integer
                              example: 0
                              default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````